package com.sinosig.service.web.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.sinosig.core.module2.valuerule.anno.ydjjdc.*;
import com.sinosig.core.module2.domain.YDJJDC;
import org.springframework.cglib.beans.BeanCopier;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 服务DTO对象[YDJJDCDTO]
 */
public class YDJJDCDTO implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEDATE]
     *
     */

    @YDJJDCCreateDateDefault(info = "默认规则")
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 属性 [CREATEMAN]
     *
     */

    @YDJJDCCreateManDefault(info = "默认规则")
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 属性 [CPXH]
     *
     */

    @YDJJDCCPXHDefault(info = "默认规则")
    private String CPXH;

    @JsonIgnore
    private boolean CPXHDirtyFlag;

    /**
     * 属性 [FDJH]
     *
     */

    @YDJJDCFdjhDefault(info = "默认规则")
    private String Fdjh;

    @JsonIgnore
    private boolean FdjhDirtyFlag;

    /**
     * 属性 [CLDL]
     *
     */

    @YDJJDCCldlDefault(info = "默认规则")
    private String Cldl;

    @JsonIgnore
    private boolean CldlDirtyFlag;

    /**
     * 属性 [UPDATEMAN]
     *
     */

    @YDJJDCUpdateManDefault(info = "默认规则")
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 属性 [GL]
     *
     */

    @YDJJDCGlDefault(info = "默认规则")
    private Double Gl;

    @JsonIgnore
    private boolean GlDirtyFlag;

    /**
     * 属性 [HPZL]
     *
     */

    @YDJJDCHpzlDefault(info = "默认规则")
    private String Hpzl;

    @JsonIgnore
    private boolean HpzlDirtyFlag;

    /**
     * 属性 [CPHM]
     *
     */

    @YDJJDCCphmDefault(info = "默认规则")
    private String Cphm;

    @JsonIgnore
    private boolean CphmDirtyFlag;

    /**
     * 属性 [CDRQ]
     *
     */

    @YDJJDCCdrqDefault(info = "默认规则")
    private Timestamp Cdrq;

    @JsonIgnore
    private boolean CdrqDirtyFlag;

    /**
     * 属性 [HDZK]
     *
     */

    @YDJJDCHdzkDefault(info = "默认规则")
    private Integer Hdzk;

    @JsonIgnore
    private boolean HdzkDirtyFlag;

    /**
     * 属性 [PL]
     *
     */

    @YDJJDCPlDefault(info = "默认规则")
    private Double Pl;

    @JsonIgnore
    private boolean PlDirtyFlag;

    /**
     * 属性 [CLSJJZ]
     *
     */

    @YDJJDCClsjjzDefault(info = "默认规则")
    private BigDecimal Clsjjz;

    @JsonIgnore
    private boolean ClsjjzDirtyFlag;

    /**
     * 属性 [DYCPXH]
     *
     */

    @YDJJDCDycpxhDefault(info = "默认规则")
    private String Dycpxh;

    @JsonIgnore
    private boolean DycpxhDirtyFlag;

    /**
     * 属性 [SYXZ]
     *
     */

    @YDJJDCSyxzDefault(info = "默认规则")
    private String Syxz;

    @JsonIgnore
    private boolean SyxzDirtyFlag;

    /**
     * 属性 [CLZL]
     *
     */

    @YDJJDCClzlDefault(info = "默认规则")
    private String Clzl;

    @JsonIgnore
    private boolean ClzlDirtyFlag;

    /**
     * 属性 [ZBZL]
     *
     */

    @YDJJDCZbzlDefault(info = "默认规则")
    private Double Zbzl;

    @JsonIgnore
    private boolean ZbzlDirtyFlag;

    /**
     * 属性 [YDJJDCNAME]
     *
     */

    @YDJJDCYDJJDCNameDefault(info = "默认规则")
    private String YDJJDCName;

    @JsonIgnore
    private boolean YDJJDCNameDirtyFlag;

    /**
     * 属性 [XCGZJ]
     *
     */

    @YDJJDCXcgzjDefault(info = "默认规则")
    private BigDecimal Xcgzj;

    @JsonIgnore
    private boolean XcgzjDirtyFlag;

    /**
     * 属性 [UPDATEDATE]
     *
     */

    @YDJJDCUpdateDateDefault(info = "默认规则")
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 属性 [HDZZL]
     *
     */

    @YDJJDCHdzzlDefault(info = "默认规则")
    private Double Hdzzl;

    @JsonIgnore
    private boolean HdzzlDirtyFlag;

    /**
     * 属性 [ABL]
     *
     */

    @YDJJDCAblDefault(info = "默认规则")
    private String Abl;

    @JsonIgnore
    private boolean AblDirtyFlag;

    /**
     * 属性 [CLLXMS]
     *
     */

    @YDJJDCCllxmsDefault(info = "默认规则")
    private String Cllxms;

    @JsonIgnore
    private boolean CllxmsDirtyFlag;

    /**
     * 属性 [CJH]
     *
     */

    @YDJJDCCjhDefault(info = "默认规则")
    private String Cjh;

    @JsonIgnore
    private boolean CjhDirtyFlag;

    /**
     * 属性 [HPDS]
     *
     */

    @YDJJDCHpdsDefault(info = "默认规则")
    private String Hpds;

    @JsonIgnore
    private boolean HpdsDirtyFlag;

    /**
     * 属性 [YDJJDCID]
     *
     */

    @YDJJDCYDJJDCIdDefault(info = "默认规则")
    private String YDJJDCId;

    @JsonIgnore
    private boolean YDJJDCIdDirtyFlag;


    /**
     * 获取 [CREATEDATE]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [CREATEDATE]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [CREATEDATE]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

    /**
     * 获取 [CREATEMAN]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [CREATEMAN]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [CREATEMAN]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [CPXH]
     */
    @JsonProperty("cpxh")
    public String getCPXH(){
        return CPXH ;
    }

    /**
     * 设置 [CPXH]
     */
    @JsonProperty("cpxh")
    public void setCPXH(String  cPXH){
        this.CPXH = cPXH ;
        this.CPXHDirtyFlag = true ;
    }

    /**
     * 获取 [CPXH]脏标记
     */
    @JsonIgnore
    public boolean getCPXHDirtyFlag(){
        return CPXHDirtyFlag ;
    }

    /**
     * 获取 [FDJH]
     */
    @JsonProperty("fdjh")
    public String getFdjh(){
        return Fdjh ;
    }

    /**
     * 设置 [FDJH]
     */
    @JsonProperty("fdjh")
    public void setFdjh(String  fdjh){
        this.Fdjh = fdjh ;
        this.FdjhDirtyFlag = true ;
    }

    /**
     * 获取 [FDJH]脏标记
     */
    @JsonIgnore
    public boolean getFdjhDirtyFlag(){
        return FdjhDirtyFlag ;
    }

    /**
     * 获取 [CLDL]
     */
    @JsonProperty("cldl")
    public String getCldl(){
        return Cldl ;
    }

    /**
     * 设置 [CLDL]
     */
    @JsonProperty("cldl")
    public void setCldl(String  cldl){
        this.Cldl = cldl ;
        this.CldlDirtyFlag = true ;
    }

    /**
     * 获取 [CLDL]脏标记
     */
    @JsonIgnore
    public boolean getCldlDirtyFlag(){
        return CldlDirtyFlag ;
    }

    /**
     * 获取 [UPDATEMAN]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [UPDATEMAN]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [UPDATEMAN]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [GL]
     */
    @JsonProperty("gl")
    public Double getGl(){
        return Gl ;
    }

    /**
     * 设置 [GL]
     */
    @JsonProperty("gl")
    public void setGl(Double  gl){
        this.Gl = gl ;
        this.GlDirtyFlag = true ;
    }

    /**
     * 获取 [GL]脏标记
     */
    @JsonIgnore
    public boolean getGlDirtyFlag(){
        return GlDirtyFlag ;
    }

    /**
     * 获取 [HPZL]
     */
    @JsonProperty("hpzl")
    public String getHpzl(){
        return Hpzl ;
    }

    /**
     * 设置 [HPZL]
     */
    @JsonProperty("hpzl")
    public void setHpzl(String  hpzl){
        this.Hpzl = hpzl ;
        this.HpzlDirtyFlag = true ;
    }

    /**
     * 获取 [HPZL]脏标记
     */
    @JsonIgnore
    public boolean getHpzlDirtyFlag(){
        return HpzlDirtyFlag ;
    }

    /**
     * 获取 [CPHM]
     */
    @JsonProperty("cphm")
    public String getCphm(){
        return Cphm ;
    }

    /**
     * 设置 [CPHM]
     */
    @JsonProperty("cphm")
    public void setCphm(String  cphm){
        this.Cphm = cphm ;
        this.CphmDirtyFlag = true ;
    }

    /**
     * 获取 [CPHM]脏标记
     */
    @JsonIgnore
    public boolean getCphmDirtyFlag(){
        return CphmDirtyFlag ;
    }

    /**
     * 获取 [CDRQ]
     */
    @JsonProperty("cdrq")
    public Timestamp getCdrq(){
        return Cdrq ;
    }

    /**
     * 设置 [CDRQ]
     */
    @JsonProperty("cdrq")
    public void setCdrq(Timestamp  cdrq){
        this.Cdrq = cdrq ;
        this.CdrqDirtyFlag = true ;
    }

    /**
     * 获取 [CDRQ]脏标记
     */
    @JsonIgnore
    public boolean getCdrqDirtyFlag(){
        return CdrqDirtyFlag ;
    }

    /**
     * 获取 [HDZK]
     */
    @JsonProperty("hdzk")
    public Integer getHdzk(){
        return Hdzk ;
    }

    /**
     * 设置 [HDZK]
     */
    @JsonProperty("hdzk")
    public void setHdzk(Integer  hdzk){
        this.Hdzk = hdzk ;
        this.HdzkDirtyFlag = true ;
    }

    /**
     * 获取 [HDZK]脏标记
     */
    @JsonIgnore
    public boolean getHdzkDirtyFlag(){
        return HdzkDirtyFlag ;
    }

    /**
     * 获取 [PL]
     */
    @JsonProperty("pl")
    public Double getPl(){
        return Pl ;
    }

    /**
     * 设置 [PL]
     */
    @JsonProperty("pl")
    public void setPl(Double  pl){
        this.Pl = pl ;
        this.PlDirtyFlag = true ;
    }

    /**
     * 获取 [PL]脏标记
     */
    @JsonIgnore
    public boolean getPlDirtyFlag(){
        return PlDirtyFlag ;
    }

    /**
     * 获取 [CLSJJZ]
     */
    @JsonProperty("clsjjz")
    public BigDecimal getClsjjz(){
        return Clsjjz ;
    }

    /**
     * 设置 [CLSJJZ]
     */
    @JsonProperty("clsjjz")
    public void setClsjjz(BigDecimal  clsjjz){
        this.Clsjjz = clsjjz ;
        this.ClsjjzDirtyFlag = true ;
    }

    /**
     * 获取 [CLSJJZ]脏标记
     */
    @JsonIgnore
    public boolean getClsjjzDirtyFlag(){
        return ClsjjzDirtyFlag ;
    }

    /**
     * 获取 [DYCPXH]
     */
    @JsonProperty("dycpxh")
    public String getDycpxh(){
        return Dycpxh ;
    }

    /**
     * 设置 [DYCPXH]
     */
    @JsonProperty("dycpxh")
    public void setDycpxh(String  dycpxh){
        this.Dycpxh = dycpxh ;
        this.DycpxhDirtyFlag = true ;
    }

    /**
     * 获取 [DYCPXH]脏标记
     */
    @JsonIgnore
    public boolean getDycpxhDirtyFlag(){
        return DycpxhDirtyFlag ;
    }

    /**
     * 获取 [SYXZ]
     */
    @JsonProperty("syxz")
    public String getSyxz(){
        return Syxz ;
    }

    /**
     * 设置 [SYXZ]
     */
    @JsonProperty("syxz")
    public void setSyxz(String  syxz){
        this.Syxz = syxz ;
        this.SyxzDirtyFlag = true ;
    }

    /**
     * 获取 [SYXZ]脏标记
     */
    @JsonIgnore
    public boolean getSyxzDirtyFlag(){
        return SyxzDirtyFlag ;
    }

    /**
     * 获取 [CLZL]
     */
    @JsonProperty("clzl")
    public String getClzl(){
        return Clzl ;
    }

    /**
     * 设置 [CLZL]
     */
    @JsonProperty("clzl")
    public void setClzl(String  clzl){
        this.Clzl = clzl ;
        this.ClzlDirtyFlag = true ;
    }

    /**
     * 获取 [CLZL]脏标记
     */
    @JsonIgnore
    public boolean getClzlDirtyFlag(){
        return ClzlDirtyFlag ;
    }

    /**
     * 获取 [ZBZL]
     */
    @JsonProperty("zbzl")
    public Double getZbzl(){
        return Zbzl ;
    }

    /**
     * 设置 [ZBZL]
     */
    @JsonProperty("zbzl")
    public void setZbzl(Double  zbzl){
        this.Zbzl = zbzl ;
        this.ZbzlDirtyFlag = true ;
    }

    /**
     * 获取 [ZBZL]脏标记
     */
    @JsonIgnore
    public boolean getZbzlDirtyFlag(){
        return ZbzlDirtyFlag ;
    }

    /**
     * 获取 [YDJJDCNAME]
     */
    @JsonProperty("ydjjdcname")
    public String getYDJJDCName(){
        return YDJJDCName ;
    }

    /**
     * 设置 [YDJJDCNAME]
     */
    @JsonProperty("ydjjdcname")
    public void setYDJJDCName(String  yDJJDCName){
        this.YDJJDCName = yDJJDCName ;
        this.YDJJDCNameDirtyFlag = true ;
    }

    /**
     * 获取 [YDJJDCNAME]脏标记
     */
    @JsonIgnore
    public boolean getYDJJDCNameDirtyFlag(){
        return YDJJDCNameDirtyFlag ;
    }

    /**
     * 获取 [XCGZJ]
     */
    @JsonProperty("xcgzj")
    public BigDecimal getXcgzj(){
        return Xcgzj ;
    }

    /**
     * 设置 [XCGZJ]
     */
    @JsonProperty("xcgzj")
    public void setXcgzj(BigDecimal  xcgzj){
        this.Xcgzj = xcgzj ;
        this.XcgzjDirtyFlag = true ;
    }

    /**
     * 获取 [XCGZJ]脏标记
     */
    @JsonIgnore
    public boolean getXcgzjDirtyFlag(){
        return XcgzjDirtyFlag ;
    }

    /**
     * 获取 [UPDATEDATE]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [UPDATEDATE]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [UPDATEDATE]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [HDZZL]
     */
    @JsonProperty("hdzzl")
    public Double getHdzzl(){
        return Hdzzl ;
    }

    /**
     * 设置 [HDZZL]
     */
    @JsonProperty("hdzzl")
    public void setHdzzl(Double  hdzzl){
        this.Hdzzl = hdzzl ;
        this.HdzzlDirtyFlag = true ;
    }

    /**
     * 获取 [HDZZL]脏标记
     */
    @JsonIgnore
    public boolean getHdzzlDirtyFlag(){
        return HdzzlDirtyFlag ;
    }

    /**
     * 获取 [ABL]
     */
    @JsonProperty("abl")
    public String getAbl(){
        return Abl ;
    }

    /**
     * 设置 [ABL]
     */
    @JsonProperty("abl")
    public void setAbl(String  abl){
        this.Abl = abl ;
        this.AblDirtyFlag = true ;
    }

    /**
     * 获取 [ABL]脏标记
     */
    @JsonIgnore
    public boolean getAblDirtyFlag(){
        return AblDirtyFlag ;
    }

    /**
     * 获取 [CLLXMS]
     */
    @JsonProperty("cllxms")
    public String getCllxms(){
        return Cllxms ;
    }

    /**
     * 设置 [CLLXMS]
     */
    @JsonProperty("cllxms")
    public void setCllxms(String  cllxms){
        this.Cllxms = cllxms ;
        this.CllxmsDirtyFlag = true ;
    }

    /**
     * 获取 [CLLXMS]脏标记
     */
    @JsonIgnore
    public boolean getCllxmsDirtyFlag(){
        return CllxmsDirtyFlag ;
    }

    /**
     * 获取 [CJH]
     */
    @JsonProperty("cjh")
    public String getCjh(){
        return Cjh ;
    }

    /**
     * 设置 [CJH]
     */
    @JsonProperty("cjh")
    public void setCjh(String  cjh){
        this.Cjh = cjh ;
        this.CjhDirtyFlag = true ;
    }

    /**
     * 获取 [CJH]脏标记
     */
    @JsonIgnore
    public boolean getCjhDirtyFlag(){
        return CjhDirtyFlag ;
    }

    /**
     * 获取 [HPDS]
     */
    @JsonProperty("hpds")
    public String getHpds(){
        return Hpds ;
    }

    /**
     * 设置 [HPDS]
     */
    @JsonProperty("hpds")
    public void setHpds(String  hpds){
        this.Hpds = hpds ;
        this.HpdsDirtyFlag = true ;
    }

    /**
     * 获取 [HPDS]脏标记
     */
    @JsonIgnore
    public boolean getHpdsDirtyFlag(){
        return HpdsDirtyFlag ;
    }

    /**
     * 获取 [YDJJDCID]
     */
    @JsonProperty("ydjjdcid")
    public String getYDJJDCId(){
        return YDJJDCId ;
    }

    /**
     * 设置 [YDJJDCID]
     */
    @JsonProperty("ydjjdcid")
    public void setYDJJDCId(String  yDJJDCId){
        this.YDJJDCId = yDJJDCId ;
        this.YDJJDCIdDirtyFlag = true ;
    }

    /**
     * 获取 [YDJJDCID]脏标记
     */
    @JsonIgnore
    public boolean getYDJJDCIdDirtyFlag(){
        return YDJJDCIdDirtyFlag ;
    }



    public YDJJDC toDO() {

        YDJJDC srfdomain = new YDJJDC();
        if(getCreateDateDirtyFlag())
            srfdomain.setCreateDate(CreateDate);
        if(getCreateManDirtyFlag())
            srfdomain.setCreateMan(CreateMan);
        if(getCPXHDirtyFlag())
            srfdomain.setCPXH(CPXH);
        if(getFdjhDirtyFlag())
            srfdomain.setFdjh(Fdjh);
        if(getCldlDirtyFlag())
            srfdomain.setCldl(Cldl);
        if(getUpdateManDirtyFlag())
            srfdomain.setUpdateMan(UpdateMan);
        if(getGlDirtyFlag())
            srfdomain.setGl(Gl);
        if(getHpzlDirtyFlag())
            srfdomain.setHpzl(Hpzl);
        if(getCphmDirtyFlag())
            srfdomain.setCphm(Cphm);
        if(getCdrqDirtyFlag())
            srfdomain.setCdrq(Cdrq);
        if(getHdzkDirtyFlag())
            srfdomain.setHdzk(Hdzk);
        if(getPlDirtyFlag())
            srfdomain.setPl(Pl);
        if(getClsjjzDirtyFlag())
            srfdomain.setClsjjz(Clsjjz);
        if(getDycpxhDirtyFlag())
            srfdomain.setDycpxh(Dycpxh);
        if(getSyxzDirtyFlag())
            srfdomain.setSyxz(Syxz);
        if(getClzlDirtyFlag())
            srfdomain.setClzl(Clzl);
        if(getZbzlDirtyFlag())
            srfdomain.setZbzl(Zbzl);
        if(getYDJJDCNameDirtyFlag())
            srfdomain.setYDJJDCName(YDJJDCName);
        if(getXcgzjDirtyFlag())
            srfdomain.setXcgzj(Xcgzj);
        if(getUpdateDateDirtyFlag())
            srfdomain.setUpdateDate(UpdateDate);
        if(getHdzzlDirtyFlag())
            srfdomain.setHdzzl(Hdzzl);
        if(getAblDirtyFlag())
            srfdomain.setAbl(Abl);
        if(getCllxmsDirtyFlag())
            srfdomain.setCllxms(Cllxms);
        if(getCjhDirtyFlag())
            srfdomain.setCjh(Cjh);
        if(getHpdsDirtyFlag())
            srfdomain.setHpds(Hpds);
        if(getYDJJDCIdDirtyFlag())
            srfdomain.setYDJJDCId(YDJJDCId);
        return srfdomain;
    }

    public void fromDO(YDJJDC srfdomain) {

        if(srfdomain.getCreateDateDirtyFlag())
            this.setCreateDate(srfdomain.getCreateDate());
        if(srfdomain.getCreateManDirtyFlag())
            this.setCreateMan(srfdomain.getCreateMan());
        if(srfdomain.getCPXHDirtyFlag())
            this.setCPXH(srfdomain.getCPXH());
        if(srfdomain.getFdjhDirtyFlag())
            this.setFdjh(srfdomain.getFdjh());
        if(srfdomain.getCldlDirtyFlag())
            this.setCldl(srfdomain.getCldl());
        if(srfdomain.getUpdateManDirtyFlag())
            this.setUpdateMan(srfdomain.getUpdateMan());
        if(srfdomain.getGlDirtyFlag())
            this.setGl(srfdomain.getGl());
        if(srfdomain.getHpzlDirtyFlag())
            this.setHpzl(srfdomain.getHpzl());
        if(srfdomain.getCphmDirtyFlag())
            this.setCphm(srfdomain.getCphm());
        if(srfdomain.getCdrqDirtyFlag())
            this.setCdrq(srfdomain.getCdrq());
        if(srfdomain.getHdzkDirtyFlag())
            this.setHdzk(srfdomain.getHdzk());
        if(srfdomain.getPlDirtyFlag())
            this.setPl(srfdomain.getPl());
        if(srfdomain.getClsjjzDirtyFlag())
            this.setClsjjz(srfdomain.getClsjjz());
        if(srfdomain.getDycpxhDirtyFlag())
            this.setDycpxh(srfdomain.getDycpxh());
        if(srfdomain.getSyxzDirtyFlag())
            this.setSyxz(srfdomain.getSyxz());
        if(srfdomain.getClzlDirtyFlag())
            this.setClzl(srfdomain.getClzl());
        if(srfdomain.getZbzlDirtyFlag())
            this.setZbzl(srfdomain.getZbzl());
        if(srfdomain.getYDJJDCNameDirtyFlag())
            this.setYDJJDCName(srfdomain.getYDJJDCName());
        if(srfdomain.getXcgzjDirtyFlag())
            this.setXcgzj(srfdomain.getXcgzj());
        if(srfdomain.getUpdateDateDirtyFlag())
            this.setUpdateDate(srfdomain.getUpdateDate());
        if(srfdomain.getHdzzlDirtyFlag())
            this.setHdzzl(srfdomain.getHdzzl());
        if(srfdomain.getAblDirtyFlag())
            this.setAbl(srfdomain.getAbl());
        if(srfdomain.getCllxmsDirtyFlag())
            this.setCllxms(srfdomain.getCllxms());
        if(srfdomain.getCjhDirtyFlag())
            this.setCjh(srfdomain.getCjh());
        if(srfdomain.getHpdsDirtyFlag())
            this.setHpds(srfdomain.getHpds());
        if(srfdomain.getYDJJDCIdDirtyFlag())
            this.setYDJJDCId(srfdomain.getYDJJDCId());

    }

    public List<YDJJDCDTO> fromDOPage(List<YDJJDC> poPage)   {
        if(poPage == null)
            return null;
        List<YDJJDCDTO> dtos=new ArrayList<YDJJDCDTO>();
        for(YDJJDC domain : poPage) {
            YDJJDCDTO dto = new YDJJDCDTO();
            dto.fromDO(domain);
            dtos.add(dto);
        }
        return dtos;
    }
}

